diff --git a/libr/core/cmd_anal.c b/libr/core/cmd_anal.c
index 320acef9572..eaa577511a5 100644
--- a/libr/core/cmd_anal.c
+++ b/libr/core/cmd_anal.c
@@ -1,4 +1,4 @@
-/* radare - LGPL - Copyright 2009-2016 - pancake */
+/* radare - LGPL - Copyright 2009-2016 - pancake, maijin */
 
 #include "r_util.h"
 
@@ -2859,6 +2859,7 @@ static void cmd_anal_hint(RCore *core, const char *input) {
 				"ahi", " h", "set base to hexadecimal (16)",
 				"ahi", " o", "set base to octal (8)",
 				"ahi", " i", "set base to IP address (32)",
+				"ahi", " S", "set base to syscall (80)",
 				"ahi", " s", "set base to string (2)",
 				NULL };
 			r_core_cmd_help (core, help_msg);
@@ -2871,6 +2872,7 @@ static void cmd_anal_hint(RCore *core, const char *input) {
 				(input[2] == 'd') ? 10 :
 				(input[2] == 'h') ? 16 :
 				(input[2] == 'i') ? 32 : // ip address
+				(input[2] == 'S') ? 80 : // syscall
 				(int) r_num_math (core->num, input + 1);
 			r_anal_hint_set_immbase (core->anal, core->offset, base);
 		}
diff --git a/libr/core/core.c b/libr/core/core.c
index 6a7e1c35ce4..ab0643f2cd3 100644
--- a/libr/core/core.c
+++ b/libr/core/core.c
@@ -1210,6 +1210,8 @@ R_API int r_core_init(RCore *core) {
 	core->anal->cb_printf = (void *) r_cons_printf;
 	core->parser = r_parse_new ();
 	core->parser->anal = core->anal;
+	core->parser->syscall = core->anal->syscall;
+	core->parser->user = core->anal->user;
 	core->parser->varlist = r_anal_var_list;
 	r_parse_set_user_ptr (core->parser, core);
 	core->bin = r_bin_new ();
diff --git a/libr/include/r_parse.h b/libr/include/r_parse.h
index ae75891a618..70178b6b88b 100644
--- a/libr/include/r_parse.h
+++ b/libr/include/r_parse.h
@@ -29,6 +29,7 @@ typedef struct r_parse_t {
 	RAnalHint *hint; // weak anal ref
 	RList *parsers;
 	RAnalVarList varlist;
+	RSyscall *syscall;
 } RParse;
 
 typedef struct r_parse_plugin_t {
diff --git a/libr/parse/parse.c b/libr/parse/parse.c
index f82bb0fc79d..9f43e0e3214 100644
--- a/libr/parse/parse.c
+++ b/libr/parse/parse.c
@@ -1,4 +1,4 @@
-/* radare - LGPL - Copyright 2009-2015 - nibble, pancake */
+/* radare - LGPL - Copyright 2009-2015 - nibble, pancake, maijin */
 
 #include <stdio.h>
 
@@ -261,6 +261,15 @@ static int filter(RParse *p, RFlag *f, char *data, char *str, int len) {
 					snprintf (num, sizeof (num), "%d.%d.%d.%d", ip[0], ip[1], ip[2], ip[3]);
 				}
 				break;
+			case 80:
+				{
+					RSyscallItem *si;
+					si = r_syscall_get (p->anal->syscall, off, -1);
+					if (si)
+						snprintf (num, sizeof (num), "%s()", si->name);
+					else eprintf ("Unknown syscall number\n");
+				}
+				break;
 			case 16:
 				/* do nothing */
 			default:
